HIMS ERP 1.0 - Feature #841

ERP Dashboard Charts Implementation
08/07/2024 09:36 PM - Pratyusha Atmakuri

Status: In Progress Start date: 08/07/2024
Priority: Normal Due date: 25/07/2024
Assignee: Pratyusha Atmakuri % Done: 100%
Category: Estimated time: 0:00 hour
Target version: Spent time: 8:00 hours
Deployed In: Category: ul
Description
History
#1 - 08/07/2024 09:08 AM - Pratyusha Atmakuri
- % Done changed from 0 to 10
AM-Charts
Step 1:
Call Area Data API https: {base url}/HIMS RRAMS/services/area/areadata
from the response pick Linkcode column
Call Survey Data API https: {base url}/HIMS RRAMS/files/import/surveydata
from the response pick Survey Id
Step 2:
Form the JSON with this structure
[{"Ink":"LI_MDRO25B_515_0","SurveyID":"2023"}]
Step 3:
Call Dashboard Level API https: {base url}/HIMS RRAMS/services/dashboard/l1vl/Homel
and send Step 2 formated data to this API as a Payload It gives response for binding charts LinkSt
Stepéd:
Bind the charts data based on above step response
Stepb:

Align them and give a provision for Print and View Table with a Get Request

#2 - 11/07/2024 01:41 AM - Pratyusha Atmakuri
- File Dashboard_charts.mov added
- Status changed from New to In Progress

- % Done changed from 10 to 40

Added Dynamic Charts and attached Video file

#3 - 12/07/2024 10:37 PM - Pratyusha Atmakuri
- File dashboard-allcharts.mov added

- % Done changed from 40 to 60

All charts data is loading for column with multi series

#4 - 15/07/2024 08:05 AM - Pratyusha Atmakuri

- File Print Chart.pdf added

- File Screenshot 2024-07-15 at 8.26.23 PM.png added
- Due date changed from 10/07/2024 to 18/07/2024

- % Done changed from 60 to 80

Print chart preview and pdf file are attached

#5 - 05/08/2024 09:47 AM - Pratyusha Atmakuri

20/04/2025 12




- Due date changed from 18/07/2024 to 25/07/2024
- % Done changed from 80 to 100
